## pnm2ppa 1.12

=== Makefile ===
#
# Makefile for pnm2ppa
#

# paths to locations where the pnm2ppa binary, the configuration file,
# and the man page should be installed.   On some systems (like Solaris)
# the install command requires the syntax BINDIR="-f /usr/local/bin".
BINDIR="/usr/local/bin"
CONFDIR="/etc"
MANDIR="/usr/local/man/man1"

#compiler and linker options:
CC=gcc
CFLAGS=-Wall -pedantic -O2  
LDFLAGS=-lm

INSTALL=install
# Install under Linux and other versions with the -b (backup) option
# (Comment out next line on systems (*BSD, Solaris..) without this option)
INSTALL+= -b

OBJS = pnm2ppa.o syslog.o ppa.o image.o dither.o cutswath.o hash_ink.o gamma.o
SRC =  pnm2ppa.c syslog.c ppa.c image.c dither.c cutswath.c hash_ink.c gamma.c

# The SysLog call may be absent or incompatible on some systems
# (e.g., BeOS,..) or you may not wish to have this feature.
# To remove support for writing to the System Log, uncomment the next line:
#CFLAGS+= -D__NO_SYSLOG__

# Some systems (e.g. Solaris) may not support the LOG_PERROR option to
# open_syslog().  (This copies syslog messages to stderr as well as to 
# the system log.) In that case, uncomment the next line:
#CFLAGS+= -D__NO_LOG_PERROR__

# For debug builds, uncomment the next three lines to get debug messages:
#CFLAGS+= -g -DDEBUG=1 
#OBJS+= debug.o 
#SRC+= debug.c

# For debugging with "Electric Fence" (if you have it):
#LDFLAGS+=-lefence

# On BeOS the LDFLAGS should not be used. 
# Uncomment the next line if you are compiling for BeOS:
#LDFLAGS=

# On Mac OS X 10.x, you need to uncomment the next CFLAGS and LDFLAGS lines.
# You may also need to install libgnugetopt (there are precompiled
# versions for Mac OS X available on the net, or it can be compiled
# from source).  Don't forget to rename the shared library from
# "/usr/local/lib/libgnugetopt.a" to "/usr/local/lib/libgnugetopt.dylib".
#CFLAGS=-Wall -no-cpp-precomp -traditional-cpp -pedantic -O2
#LDFLAGS=-L/usr/local/lib -lgnugetopt

# If you have FreeBSD you need to uncomment the next LDFLAGS.
# You may also need to install libgnugetopt from the ports collection.
# (Also, make sure the getopt.h it supplies is appropriately installed.)
#LDFLAGS+=-L/usr/local/lib -lgnugetopt

# If you have Solaris you need to uncomment the next LDFLAG
# You will also need to install a library with GNU getopt:
# (e.g., libiberty which is available from http://sunfreeware.com)
#LDFLAGS+=-L/usr/local/lib -liberty

# Language selection for messages from pnm2ppa. Choose one only.
LANG=EN
#LANG=CZ
#LANG=ES
#LANG=FR
#LANG=IT
#LANG=NL

#------------------------------------------------------------------
# Normal Users!
#
# Do not edit below this line! No user servicable parts below!
#--------------------------------------------------------------------
INSTALLD=$(INSTALL) -d
CFLAGS+=-DLANG_$(LANG)

default: all

profile:
	make "CFLAGS=-Wall -pedantic -O2 -g -pg -DNDEBUG"

debug:
	make "CFLAGS=-Wall -pedantic -g -O2 -DDEBUG=1 -DLANG_EN" "LDFLAGS=-lm -lefence" "OBJS=$(DOBJS)"

# the following have been left in for those with good memories

720: all
	@@echo After running make install, edit /etc/pnm2ppa.conf and set your printer

820: all
	@@echo After running make install, edit /etc/pnm2ppa.conf and set your printer

1000: all
	@@echo After running make install, edit /etc/pnm2ppa.conf and set your printer

all: pnm2ppa calibrate_ppa 

clean:
	rm -f *.o *~ calibrate_ppa pnm2ppa make_hash_ink gmon.out hash_ink.c


install: pnm2ppa calibrate_ppa
	$(INSTALLD) $(BINDIR)
	$(INSTALLD) $(CONFDIR)
	$(INSTALLD) $(MANDIR)
	$(INSTALL) -m 755 pnm2ppa  $(BINDIR)
	$(INSTALL) -m 644 docs/en/pnm2ppa.1 $(MANDIR)
# development only - allows root to edit
	$(INSTALL) -m 644 pnm2ppa.conf  $(CONFDIR)
# calibration tool
	$(INSTALL) -m 755 calibrate_ppa $(BINDIR) 
# final production - much tighter
#	$(INSTALL) -m 444 pnm2ppa.conf $(CONFDIR)
	@@echo 
	@@echo Now, edit /etc/pnm2ppa.conf to choose your printer

uninstall: 
	rm -f $(BINDIR)/pnm2ppa
	rm -f $(BINDIR)/calibrate_ppa
	rm -f $(MANDIR)/pnm2ppa.1
	rm -f $(CONFDIR)/pnm2ppa.conf

pnm2ppa: $(OBJS) 
	$(CC) $(LDFLAGS) $(CFLAGS) -o pnm2ppa $(OBJS)

calibrate_ppa: calibrate_ppa.o pnmtools.o gamma.o
	$(CC) $(LDFLAGS) $(CFLAGS) -o calibrate_ppa calibrate_ppa.o pnmtools.o gamma.o 

calibrate_ppa.o: calibrate_ppa.c global.h image.h defaults.h pnmtools.h
	$(CC) $(CFLAGS) -c calibrate_ppa.c

pnmtools.o: pnmtools.c pnmtools.h
	$(CC) $(CFLAGS) -c pnmtools.c 

cutswath.o: cutswath.c debug.h ppa.h image.h global.h syslog.h
	$(CC) $(CFLAGS) -c cutswath.c

image.o: image.c image.h palette.h debug.h fscoeff.h global.h gamma.h syslog.h
	$(CC) $(CFLAGS) -c image.c

gamma.o: gamma.c image.h global.h gamma.h
	$(CC) $(CFLAGS) -c gamma.c

dither.o: dither.c dither.h image.h palette.h debug.h fscoeff.h global.h hash_ink.h
	$(CC) $(CFLAGS) -c dither.c

pnm2ppa.o: pnm2ppa.c pnm2ppa.h image.h ppa.h debug.h global.h gamma.h syslog.h
	$(CC) $(CFLAGS) -c pnm2ppa.c

ppa.o: ppa.c ppa.h debug.h global.h syslog.h
	$(CC) $(CFLAGS) -c ppa.c

debug.o: debug.c debug.h global.h
	$(CC) $(CFLAGS) -c debug.c

syslog.o: syslog.c syslog.h global.h
	$(CC) $(CFLAGS) -c syslog.c

make_hash_ink: 	make_hash_ink.c palette.h hash_ink.h
	$(CC) $(CFLAGS) -o make_hash_ink make_hash_ink.c

hash_ink.c: make_hash_ink
	./make_hash_ink 4 3 > hash_ink.c
	./make_hash_ink 1 5 >> hash_ink.c

hash_ink.o: hash_ink.c hash_ink.c
	$(CC) $(CFLAGS) -c hash_ink.c

# a default rule, in case new .c files pop in

.c.o: $*.c ppa.h image.h enh-curve.h palette.h debug.h global.h
	$(CC) $(CFLAGS) -c $*.c

distrib: clean
	cd .. && tar cf - pnm2ppa/ | gzip -9 > pnm2ppa.tar.gz
	sync

## pnm2ppa 1.13

=== debian/changelog ===
pnm2ppa (1.13-14) unstable; urgency=medium

  * add 0006-gcc15.patch (Closes: #1097625)
  * add debconf translation INTL:ca (Closes: #1101122)
    (Thanks a lot to Carles Pina i Estany)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Sep 2025 10:35:51 +0200

pnm2ppa (1.13-13) unstable; urgency=medium

  * debian/control: add myself to Uploaders:
  * debian/control: add Rules-Requires-Root:
  * debian/watch: fix watch file
  * debian/copyright: convert to DEP5 version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Oct 2021 18:35:51 +0200

pnm2ppa (1.13-12) unstable; urgency=medium

  * QA upload

  [ Benedikt Spranger ]
  * Replace deprecated and dropped Debian util tempfile (Closes: #993621)

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 10:35:51 +0200

pnm2ppa (1.13-11) unstable; urgency=medium

  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Remove myself from Uploaders
  * Update watch file format version to 4
  * Bump debhelper compat to 13
  * Add Salsa CI configuration

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 17:14:27 +0200

pnm2ppa (1.13-10) unstable; urgency=medium

  * Convert to git debrebase workflow
  * lintian brush:
    - Trim trailing whitespace.
    - Drop use of autotools-dev debhelper.
    - Bump debhelper from deprecated 9 to 10.
    - Drop unnecessary dependency on dh-autoreconf.
    - Drop unnecessary dh arguments: --parallel
  * Add Fedora patch for GCC-10 FTBFS (Closes: #957695)
    - Declare syslog_message correctly for GCC-10 FTBFS (Zdenek Dohnal)

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:49:39 +0200

pnm2ppa (1.13-9) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Initialize git-dpm

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 16:45:21 +0100

pnm2ppa (1.13-8) unstable; urgency=medium

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.8 without changes needed

  [ Helmut Grohne ]
  * Fix FTCBFS: Revert 00_use_env_buildflags.patch (Closes: #843695)

 -- Didier Raboud <odyx@debian.org>  Tue, 08 Nov 2016 22:37:39 +0100

pnm2ppa (1.13-7) unstable; urgency=medium

  * Add patch to remove CPP timestamps usage, for reproducibility
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Feb 2016 17:23:46 +0100

pnm2ppa (1.13-6) unstable; urgency=medium

  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Add patch to build the make_hash_ink buildtool natively, with the correct
    buildflags; use dh-autoreconf to cope with the change
  * Use the correct syntax to append to CFLAGS
  * Bump debhelper B-D to 9 to align with compat

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 15:00:58 +0100

pnm2ppa (1.13-5) unstable; urgency=low

  * Acknowledge 1.13-4.1 NMU - thanks to Colin Watson
  * Drop pnm2ppa transitional package which reached stable
  * Bump Standards-Version to 3.9.5 without changes needed
  * Drop empty directories in /usr/share/doc/ (Closes: #686555)

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Nov 2013 16:26:24 +0100

pnm2ppa (1.13-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #725967).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 11:45:36 +0000

pnm2ppa (1.13-4) unstable; urgency=low

  [ Debconf translation updates ]
  * Update German (Erik Schanze, Closes: #648070)
  * Add Italian (Francesca Ciceri, Closes: #656936)

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Feb 2012 19:00:18 +0100

pnm2ppa (1.13-3) unstable; urgency=low

  [ Adriano Rafael Gomes ]
  * Add Brazilian Portuguese debconf translation. (Closes: #646187)

  [ Didier Raboud ]
  * Rename pnm2ppa to printer-driver-pnm2ppa, add transitional package.
  * Rewrite short description.
  * Bump debhelper compat to 9 for auto- buildflags.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 22:48:20 +0200

pnm2ppa (1.13-2) unstable; urgency=low

  * Re-introduce 10_177295-fix_signedness.patch:
    - Complete removal was wrong as only a part of it has been incorporated
      upstream.
  * Install Ubuntu's apport-hook in Ubuntu and derivatives (LP: #338442).
  * Use dpkg-buildflags to initialize CFLAGS.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 May 2011 16:48:19 +0200

pnm2ppa (1.13-1) unstable; urgency=low

  * New 1.13 upstream release.
  * Adopt package (Closes: #572679).
     - Put under Debian Printing Team umbrella
     - Set myself as Uploader.
     - Thanks go to Chad Walstrom for his past maintainance and to Christian
       Perrier and Samuel Thibault for their NMUs.
  * Update debian/watch (Closes: #450007).
  * Drop dbs Build-Dependency (Closes: #576050).
    - Refresh patches in the process
      - Drop 10_1777295-fix_signedness: incorporated upstream.
    - Set source format to 3.0 (quilt).
    - Add a debian/patches/series.
    - Drop dbs snippets from debian/rules.
    - Drop .in extensions from debian/pnm2ppa.examples.in and
      debian/pnm2ppa.install.in, adapt them.
  * Add a DEP-3 header to all patches.
  * Rewrite debian/rules using tiny dh7 style.
    - Bump debhelper compat to 7.
    - Bump Build-Dependency on debhelper to >= 7.0.50~.
    - Use pnm2ppa.docs, remove redundant files in debian/rules.
    - Update pnm2ppa.{install,manpages}.
  * Correct postinst to remove full paths from commands.
    - Rename it to pnm2ppa.postinst.
  * Move the "set -e" invocation of postrm from shebang to body.
    - Rename it to pnm2ppa.postrm.
  * Add a valid Homepage.
  * Fix manpages "hyphen-used-as-minus" problems.
  * Update debian/copyright to explicitly mention the GPLv2+ nature of
    pnm2ppa.
  * Move the "set -e" invocation of update-magicfilter from shebang to body.
  * Make sure update-magicfilters is executable.


=== debian/control ===
Source: pnm2ppa
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/printing-team/pnm2ppa
Vcs-Git: https://salsa.debian.org/printing-team/pnm2ppa.git
Homepage: http://pnm2ppa.sf.net/
Rules-Requires-Root: no

Package: printer-driver-pnm2ppa
Architecture: any
Depends:
 ghostscript,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 magicfilter | apsfilter,
Breaks:
 pnm2ppa (<< 1.13-3~),
Conflicts:
 pbm2ppa,
Replaces:
 pnm2ppa (<< 1.13-3~),
Description: printer driver for HP-GDI printers
 Using pnm2ppa it's possible to run HP-GDI printers on Linux. These printers
 are normally "Windows-only" and use the PPA protocol which is proprietary.
 pnm2ppa supports color.
 .
 pnm2ppa supports the following printers: HP Deskjet 7XX Series, HP Deskjet
 820 Series and HP Deskjet 1000 Series.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

export DEB_CFLAGS_MAINT_APPEND += -DLANG_ENG -Wall

%:
	dh $@ --builddirectory=build/

override_dh_auto_install:
	dh_auto_install --builddirectory=build/ --destdir=debian/printer-driver-pnm2ppa/
	# Move the configuration file from /etc to /usr/share
	mv debian/printer-driver-pnm2ppa/etc/pnm2ppa.conf debian/printer-driver-pnm2ppa/usr/share/pnm2ppa/

override_dh_install:
	dh_install
	# Make sure update-magicfilters is executable
	chmod +x debian/printer-driver-pnm2ppa/usr/share/pnm2ppa/update-magicfilter
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-pnm2ppa/usr/share/apport/package-hooks/source_pnm2ppa.py
endif

override_dh_installdocs:
	dh_installdocs
	# Remove useless or redundant files
	cd debian/printer-driver-pnm2ppa/usr/share/doc/printer-driver-pnm2ppa/;\
		rm en/CREDITS;\
		rm en/INSTALL.BEOS;\
		rm en/INSTALL.CALDERA;\
		rm en/INSTALL.MANDRAKE*;\
		rm en/INSTALL.REDHAT*;\
		rm en/INSTALL.SOLARIS;\
		rm en/INSTALL.SUSE;\
		rm en/INSTALL;\
		rm en/LICENSE;\
		rm en/README;\
		rm en/RELEASE-NOTES;\
		rm en/TODO;\
		rm en/pnm2ppa.1;\
		rm pl/INSTALACJA;\
		rm pl/INSTALACJA.SUSE
	# Remove empty directories
	rm -Rf debian/printer-driver-pnm2ppa/usr/share/doc/pnm2ppa

=== debian/watch ===
version=4
http://sf.net/pnm2ppa/pnm2ppa-(\d*\.[\d]*)\.tar\.gz

## pnm2ppa 1.13%2Bnondbs

=== debian/control ===
Source: pnm2ppa
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), autotools-dev
Homepage: http://pnm2ppa.sf.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pnm2ppa.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pnm2ppa.git
Standards-Version: 3.9.5

Package: printer-driver-pnm2ppa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript
Suggests: magicfilter | apsfilter
Conflicts: pbm2ppa
Replaces: pnm2ppa (<< 1.13-3~)
Breaks: pnm2ppa (<< 1.13-3~)
Description: printer driver for HP-GDI printers
 Using pnm2ppa it's possible to run HP-GDI printers on Linux. These printers
 are normally "Windows-only" and use the PPA protocol which is proprietary.
 pnm2ppa supports color.
 .
 pnm2ppa supports the following printers: HP Deskjet 7XX Series, HP Deskjet
 820 Series and HP Deskjet 1000 Series.

## pnm2ppa 1.13+nondbs

=== debian/changelog ===
pnm2ppa (1.13+nondbs-0ubuntu3) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 13:53:51 +0100

pnm2ppa (1.13+nondbs-0ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:48:29 +0100

pnm2ppa (1.13+nondbs-0ubuntu1) precise; urgency=low

  * Pseudo-sync with Debian: This package is noow absolutely identical
    with Debian's 1.13-4 except the upstream version number. The upstream
    version number got the "+nondbs" to replace the DBS tarball-in-tarball
    upstream source tarball by the straight tarball of Debian, to get rid
    of the DBS packaging and make future merges, syncs and upstream updates
    easier. We cannot wait for a new upstream version here, as upstream
    updates happen rarely, perhaps there will even never be a new upstream
    version especially because the class of printers supported by pnm2ppa
    was discontinued years ago.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Feb 2012 19:11:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: http://pnm2ppa.sf.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pnm2ppa.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pnm2ppa.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.2.0
 
 Package: printer-driver-pnm2ppa
 Architecture: any
@@ -24,3 +24,12 @@
  .
  pnm2ppa supports the following printers: HP Deskjet 7XX Series, HP Deskjet
  820 Series and HP Deskjet 1000 Series.
+
+Package: pnm2ppa
+Depends: printer-driver-pnm2ppa, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Priority: extra
+Description: transitional dummy package for pnm2ppa printer driver
+ This is a transitional dummy package to transition to uniformly named
+ printer-driver-pnm2ppa.

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
 
-export DEB_CFLAGS_MAINT_APPEND += -DLANG_ENG -Wall
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += -DLANG_ENG -Wall
 
 %:
-	dh $@ --builddirectory=build/
+	dh $@ --parallel --builddirectory=build/ --with autotools_dev
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build/ --destdir=debian/printer-driver-pnm2ppa/
@@ -21,7 +22,7 @@
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-pnm2ppa/usr/share/apport/package-hooks/source_pnm2ppa.py
 endif
 
-override_dh_installdocs:
+override_dh_installdocs: 
 	dh_installdocs
 	# Remove useless or redundant files
 	cd debian/printer-driver-pnm2ppa/usr/share/doc/printer-driver-pnm2ppa/;\
@@ -40,5 +41,4 @@
 		rm en/pnm2ppa.1;\
 		rm pl/INSTALACJA;\
 		rm pl/INSTALACJA.SUSE
-	# Remove empty directories
-	rm -Rf debian/printer-driver-pnm2ppa/usr/share/doc/pnm2ppa
+
